
From: Hannes Reinecke <hare@suse.de>

PCI hotplug events carry a newline in the MODALIAS variable.  This confuses
scripts unneccesarily.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pci/hotplug.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/pci/hotplug.c~remove-newline-from-pci-modalias-variable drivers/pci/hotplug.c
--- 25/drivers/pci/hotplug.c~remove-newline-from-pci-modalias-variable	Tue Jun 28 16:01:41 2005
+++ 25-akpm/drivers/pci/hotplug.c	Tue Jun 28 16:01:41 2005
@@ -54,7 +54,7 @@ int pci_hotplug (struct device *dev, cha
 
 	envp[i++] = scratch;
 	length += scnprintf (scratch, buffer_size - length,
-			    "MODALIAS=pci:v%08Xd%08Xsv%08Xsd%08Xbc%02Xsc%02Xi%02x\n",
+			    "MODALIAS=pci:v%08Xd%08Xsv%08Xsd%08Xbc%02Xsc%02Xi%02x",
 			    pdev->vendor, pdev->device,
 			    pdev->subsystem_vendor, pdev->subsystem_device,
 			    (u8)(pdev->class >> 16), (u8)(pdev->class >> 8),
_
